# Zip extract

An action block that extracts content from a zip file.

The fiber will pause until the extraction has completed.

The final directory level of source path may contain glob patterns.

## Input arguments

- Source zip file — path to an existing zip file.
- Source path in zip — path of content inside archive to extract, default is zip root directory.
- Destination path — path to place extracted content.
- Recursive — whether to recursively extract directories and all their content, default is true.